DeluxHostAPI Reference
VPS management

Set or clear a backup label

PATCH
/v1/services/{serviceId}/virtfusion/backups/label

Authorization

apiToken services:manage
headerAuthorizationBearer <token>

A personal API token: Authorization: Bearer dh_live_…. See Authentication for scopes.

Scope: services:manage

Path Parameters

serviceId*number

Request Body

application/json
  1. body
disk*number
chainId*number
timestamp*number
label*null|string

Response Body

Operation completed or accepted; asynchronous actions may still be running.

application/json
  1. response
disk*number
chainId*number
timestamp*number
label*null|string
curl -X PATCH 'https://api.deluxhost.net/v1/services/0/virtfusion/backups/label' \  -H "Authorization: Bearer $DELUXHOST_TOKEN" \  -H 'Content-Type: application/json' \  -d '{  "disk": 0,  "chainId": 0,  "timestamp": 0,  "label": null}'
Example Response
{  "disk": 0,  "chainId": 0,  "timestamp": 0,  "label": null}